AI Analytics¶
Endpoints related to ai analytics.
- GET /addiguru-analysis/¶
Retrieve a list of Addiguru analyses.
Retrieve a list of Addiguru analyses.
- Returns:
ResourceList: A list of analyses with total count.
- Raises:
Unauthorized: If the Addiguru feature is not enabled for the bureau.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound: The Addiguru analysis you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields. InvalidPayload: The payload is invalid or missing required fields.
- GET /addiguru-analysis/{uuid}/¶
Retrieve an Addiguru analysis by UUID.
Retrieve an Addiguru analysis by UUID.
- Args:
uuid (UUID): The UUID of the analysis to retrieve.
- Returns:
dict: The analysis data after hydration.
- Raises:
Unauthorized: If the Addiguru feature is not enabled for the bureau. RecordNotFound: If the analysis does not exist or is inaccessible.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound: The Addiguru analysis you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields. InvalidPayload: The payload is invalid or missing required fields.
- PUT /addiguru-analysis/{uuid}/¶
Update an existing AddiguruAnalysis.
Update an existing AddiguruAnalysis.
- Args:
uuid (UUID): The UUID of the analysis to update.
- Returns:
dict: The updated analysis data after hydration.
- Raises:
Unauthorized: If the Addiguru feature is not enabled for the bureau. RecordNotFound: If the analysis does not exist or is inaccessible. Forbidden: If the user does not have permission to update the analysis.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – RecordNotFound: The Addiguru analysis you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields. InvalidPayload: The payload is invalid or missing required fields.
- GET /addiguru-installation/¶
Retrieve a list of Addiguru installations.
Retrieve a list of Addiguru installations.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound: The Addiguru installation you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.
- POST /addiguru-installation/¶
Create a new Addiguru installation.
Create a new Addiguru installation.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – RecordNotFound: The Addiguru installation you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.
- Response Headers:
Location – URI of the created resource
- GET /addiguru-installation/{uuid}/¶
Retrieve an Addiguru installation by UUID.
Retrieve an Addiguru installation by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound: The Addiguru installation you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.
- PUT /addiguru-installation/{uuid}/¶
Update an existing Addiguru installation.
Update an existing Addiguru installation.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – RecordNotFound: The Addiguru installation you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.
- DELETE /addiguru-installation/{uuid}/¶
Delete an Addiguru installation.
Delete an Addiguru installation.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – RecordNotFound: The Addiguru installation you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.
- GET /addiguru-anomaly/¶
Retrieve a list of Addiguru anomalies.
Retrieve a list of Addiguru anomalies.
- Returns:
ResourceList: List of anomalies with total count.
- Raises:
Unauthorized: If the Addiguru feature is not enabled.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound: The Addiguru anomaly does not exist or is inaccessible.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.
403 Forbidden – Forbidden: You do not have permission to access this anomaly.
- GET /addiguru-anomaly/{uuid}/¶
Retrieve an Addiguru anomaly by UUID.
Retrieve an Addiguru anomaly by UUID.
- Args:
uuid (UUID): UUID of the anomaly.
- Returns:
dict: Hydrated anomaly data.
- Raises:
Unauthorized: If the Addiguru feature is not enabled. RecordNotFound: If the anomaly does not exist or is inaccessible.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound: The Addiguru anomaly does not exist or is inaccessible.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.
403 Forbidden – Forbidden: You do not have permission to access this anomaly.
- GET /addiguru-indicator/¶
Retrieve a list of Addiguru indicators.
Retrieve a list of Addiguru indicators. Returns:
ResourceList: List of indicators with total count.
Raises:
Unauthorized: If feature flag is disabled.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound: The Addiguru indicator you are trying to access does not exist or is inaccessible.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.
- GET /addiguru-indicator/{uuid}/¶
Retrieve an Addiguru indicator by UUID.
Retrieve an Addiguru indicator by UUID. Args:
uuid (UUID): UUID of the indicator.
Returns:
dict: Hydrated indicator data.
Raises:
Unauthorized: If feature flag is disabled. RecordNotFound: If indicator is nonexistent or inaccessible.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound: The Addiguru indicator you are trying to access does not exist or is inaccessible.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.
- GET /nebumind-analysis/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- POST /nebumind-analysis/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /nebumind-analysis/{uuid}/¶
generic get one resource by exact UUID
generic get one resource by exact UUID
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- PUT /nebumind-analysis/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- DELETE /nebumind-analysis/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.